#include <bits/stdc++.h>

using namespace std;

int main()
{
    int i, j, N, Q, e;
    vector<int> X;
    cin>>N;
    int A[N];
    for (i=0;i<N;i++)
        cin>>A[i];
    cin>>Q;
    int R[Q][2];
    for (i=0;i<Q;i++)
        cin>>R[i][0]>>R[i][1];
    for (i=0;i<Q;i++)
    {
        e=0;
        X.clear();
        X.resize(0);
        for (j=R[i][0]-1;j<R[i][1];j++)
        {
            X.push_back(A[j]);
        }
        for (j=1;j<X.size();j++)
        {
            if (X[j+1]>X[j])
            {
                if (e==0)
                    e=1;
                else
                {
                    e=2;
                    break;
                }
            }
        }
        if (e==2)
            cout<<"NE";
        else
            cout<<"DA";
        if (i+1<Q)
            cout<<endl;
    }
    return 0;
}